com.icl.saxon.style

## Interface ExtensionElementFactory

- All Known Implementing Classes:
    SQLElementFactory

      public interface ExtensionElementFactory

  Interface ExtensionElementFactory.
  A "Factory" for used-defined nodes in the stylesheet tree.
  (Actually, it's not struictly a factory: it doesn't create the nodes, it merely identifies what class they should be.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getExtensionClass(java.lang.String localname)` Identify the class to be used for stylesheet elements with a given local name.

- - ### Method Detail

    - #### getExtensionClass

          java.lang.Class getExtensionClass(java.lang.String localname)

      Identify the class to be used for stylesheet elements with a given local name. The returned class must extend com.icl.saxon.style.StyleElement
      Returns:
        null if the local name is not a recognised element type in this namespace.